function blendedOutput = blendImages(sourceTransform, referenceTransform)

    % Input: 
    % - sourceTransform: source frame projected onto reference frame plane
    % - referenceTransform: reference frame projected onto same space
    
    % Output: 
    % - blendedOutput: naive blending result from frame stitching
    
    blendedOutput = referenceTransform;
    indices = find(referenceTransform==0);
    blendedOutput(indices) = sourceTransform(indices);
end