%% Load frames

clear all; clc
filenames = {};
filesinfo = dir('frames/*.jpg');

for i=1:numel(filesinfo)
    filenames{i} = filesinfo(i).name;
end

frames = [];

for i = 1:numel(filenames)
    frames(:,:,:,i) = im2double(imread(filenames{i}));
end

%% Example usage of projectImage.m

[pastHomographies{1:numel(filenames), 1:numel(filenames)}] = deal(zeros(1));
sourceFrameIndex = 630; 
referenceFrameIndex = 450;

% Default params:
% - xrange = [-651 980]; 
% - yrange = [-51 460]; 
% - overlapThreshold = 40000;
% - errorThreshold = 4e-4;
% - numKeyframes = 3;
% - checkAllKeyframes = 0;

projectedSource = projectImage(frames, sourceFrameIndex, ...
                               referenceFrameIndex, pastHomographies);
projectedReference = projectImage(frames, referenceFrameIndex, ...
                                  referenceFrameIndex, pastHomographies);
blendedOutput = blendImages(projectedSource, projectedReference);
imagesc(blendedOutput);
